Bug 13068 - If getwd() fails the default VFS module can return an incorrectly constructed struct smb_filename.
If getwd() fails the default VFS module can return an incorrectly constructed...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.7.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 13027
  Show dependency treegraph
 
Reported: 2017-10-03 00:31 UTC by Jeremy Allison
Modified: 2017-11-01 08:53 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.7.next. (1.25 KB, patch)
2017-10-04 22:03 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2017-10-03 00:31:05 UTC
Detected in bug: https://bugzilla.samba.org/show_bug.cgi?id=13027.

Patch to follow.
Comment 1 Jeremy Allison 2017-10-04 22:03:46 UTC
Created attachment 13654 [details]
git-am fix for 4.7.next.

Cherry-picked from master.
Comment 2 Ralph Böhme 2017-10-05 07:48:30 UTC
Reassigning to Karolin for inclusion in 4.7.
Comment 3 Karolin Seeger 2017-10-24 10:52:58 UTC
Pushed to autobuild-v4-7-test.
Comment 4 Karolin Seeger 2017-11-01 08:53:48 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-7-test.
Closing out bug report.

Thanks!